#### FLAMDDN

#### Synopsis

    HELP:   (HOST) Symbolic file name for compressed file
    TYPE:   STRING
    SYNTAX: FLAMDDN/FLAMD='str'

#### Description

With this parameter the DD-NAME for the compressed FLAMFILE in the DD JCL-command can be changed. It is the symbolic DD filename for the normally used compressed FLAMFILE (z/OS only).

The DD-NAME of this compressed file is `FLAMFILE` by default and can be modified using parameter `FLAMDDN=<name>`.

All output is written to a FLAM compressed file by default:

    //FLAMFILE DD DSN=compressed_file,
    // DISP=(NEW,CATLG),
    // UNIT=....,
    // SPACE=....

or

        //.. EXEC PGM=FLAM,
        // PARM='C,FLAMFILE=COMPRESSED_FILE,FLAMIN=USER.*B.*LIB,..'

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `FLAMDDN=filename`
  - `FLAMD=filename`
  - Note: This parameter allows to change the DD name of the DD command. For decompression, `>` before the DD name means that the file contains a list of FLAMFILE names.

Values

- z/OS
  - DD-NAME with max. 8 characters.
  - > DD-NAME with max. 7 characters (decompression)

Default

- z/OS
  - FLAMFILE DD ......

Valid for

- compression
- decompression